<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <!-- Main content -->
        <div class="invoice p-3 mb-3">
          <!-- title row -->
          <div class="row page-header" *ngIf="rentOwnerDetail">
            <div class="col-12">
              <h4>
                <i class="fas fa-globe"></i> Name :: {{rentOwnerDetail.name}}
                [ {{rentOwnerDetail.status}} ]
                <small class="float-right">Created On : {{rentOwnerDetail.createdDate }}
                </small>
              </h4>
            </div>

            <!-- /.col -->
          </div>
          <hr style="margin-bottom: 5px;margin-top: 0px;">
          <!-- info row -->
          <div class="row invoice-info" *ngIf="rentOwnerDetail">
            <div class="col-sm-12 invoice-col">
              <span class="d-block p-2 bg-primary text-white">
                  <span class="text-bold">General Detail</span>
              </span>
              <!--              <h4><strong style="color: #00f169">General Detail</strong></h4>-->
              <div style="width: 30%">
                <span *ngIf="rentOwnerDetail.address">
                <b>Address:</b>
                <span class="fa-pull-right">
                  {{rentOwnerDetail.address}}
                </span>
                <br>
              </span>
                <span *ngIf="rentOwnerDetail.contactNumber">
                <b>Contact Number:</b>
                <span class="fa-pull-right">
                  {{rentOwnerDetail.contactNumber}}
                </span>
                <br>
              </span>
                <span *ngIf="rentOwnerDetail.panNumber">
                <b>PAN Number:</b><span
                  class="fa-pull-right">{{rentOwnerDetail.panNumber}}</span><br>
              </span>
                <span *ngIf="rentOwnerDetail.accountNumber">
                <b>Account Number:</b><span
                  class="fa-pull-right">{{rentOwnerDetail.accountNumber}}</span><br>
              </span>
                <span *ngIf="rentOwnerDetail.natureOfPayment">
                <b>Nature Of Payment:</b><span
                  class="fa-pull-right">{{rentOwnerDetail.natureOfPayment}}</span><br>
              </span>
              </div>
            </div>
          </div>
          <div class="row invoice-info">
            <div class="col-sm-12 invoice-col">
              <span class="d-block p-2 bg-primary text-white">
                  <span class="text-bold">Rent Detail</span>
                <button class="btn btn-info btn-xs fa-pull-right"
                        (click)="addRentDetail(0)">Add Rent Detail</button>
              </span>
              <div *ngIf="rentDetails">
                <div class="jumbotron" *ngFor="let rentDetail of rentDetails">
                  <div class="row">
                    <div class="col-sm-6">
                      <span>
                        <b>Detail:</b>
                        <span>
                          {{rentDetail.rentDetail}}
                        </span>
                        <br>
                      </span>
                    </div>
                    <div class="col-sm-6">
                       <span>
                        <b>Description :</b>
                        <span class="fa-pull-right">
                          {{rentDetail.rentDescription}}
                        </span>
                        <br>
                      </span>
                    </div>
                  </div>
                  <hr>
                  <div class="row">
                    <div class="col-sm-4">
                      <span>
                        <b>Created On:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.createdDate}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Start Date:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.rentStartDate}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Expiry Date:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.expiryDate}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Rent For:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.rentForType}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Increment Period:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.incrementPeriod}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Expense Nature:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.expenseNature}}
                        </span>
                        <br>
                      </span>
                    </div>
                    <div class="col-sm-4">

                      <span>
                        <b>Increment Type:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.rentIncrementType}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Increment On:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.incrementOn}}
                        </span>
                        <br>
                      </span>

                      <span>
                        <b>Value :</b>
                        <span class="fa-pull-right">
                          {{rentDetail.value}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Base Amount :</b>
                        <span class="fa-pull-right">
                          {{rentDetail.baseRentAmount}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Tax Account :</b>
                        <span class="fa-pull-right">
                          {{rentDetail.taxAccountNumber}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Prepaid Month:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.prePaidMonth}}
                        </span>
                        <br>
                      </span>
                    </div>
                    <div class="col-sm-4">
                      <span>
                        <b>Tax Percentage:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.taxPercentage}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Account Head:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.accountHead}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Branch:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.branch}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Status:</b>
                        <span class="fa-pull-right">
                          <p-inputSwitch
                            [name]="rentDetail.status"
                            [inputId]="rentDetail.status"
                            (onChange)="handleChange($event, rentDetail.rentDetailId)"
                            [ngModel]="rentDetail.status === 'ACTIVE'? true: false ">
                          </p-inputSwitch>
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Pre Paid Days:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.prePaidDays}}
                        </span>
                        <br>
                      </span>
                      <span>
                        <b>Paid EMI:</b>
                        <span class="fa-pull-right">
                          {{rentDetail.numberOfPaidEMIs}}
                        </span>
                        <br>
                      </span>


<!--                      <span>-->
<!--                        <br>-->
<!--                        <span class="fa-pull-right">-->
<!--                          <button class="btn btn-success btn-xs"-->
<!--                                  (click)="editRentDetail(rentDetail)">-->
<!--                            Edit Rent Detail-->
<!--                          </button>-->
<!--                        </span>-->
<!--                        <br>-->
<!--                      </span>-->
                    </div>
                  </div>
                  <hr>
                  <h3><strong>Regular Or Hold</strong></h3>
                  <div class="row">
                    <div class="col-sm-6">
                      <span>Payment Type:</span><span><strong>{{rentDetail.paymentType}}</strong></span>
                      <button class="btn btn-info btn-success btn-xs fa-pull-right"
                              (click)="updatePaymentType(rentDetail)">
                        {{rentDetail.paymentType === 'REGULAR' ? 'Change To Hold': ' Change To Regular'}}
                      </button>
                    </div>
                    <div class="col-sm-6">
                       <span *ngIf="rentDetail.paymentType === 'HOLD'">
                      <span>TDS Payment Type:</span><span><strong>{{rentDetail.tdsPaymentType}}</strong></span>
                    </span>
                    </div>
                  </div>
                  <hr>
                  <button type="button"
                          class="btn btn-success btn-xs"
                          (click)="addDocument(rentDetail.rentDetailId)">
                    Add Documents
                  </button>
                  <div class="col-12 table-responsive"
                       *ngIf="rentDetail && rentDetail.rentDocumentResources">
                    <p-table id="exportTable"
                             class="text-left"
                             [columns]="columnName"
                             [value]="(rentDetail.rentDocumentResources)"
                             [resizableColumns]="true"
                             [autoLayout]="true"
                             [paginator]="true"
                             [rows]="10"
                             [showCurrentPageReport]="true">
                      <ng-template pTemplate="caption">
                        List of Rent documents
                        :&nbsp;{{ rentDetail.rentDocumentResources.length }}

                      </ng-template>
                      <ng-template pTemplate="header" let-columns>
                        <tr>
                          <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                            {{col.name}}
                            <p-sortIcon [field]="col.value"></p-sortIcon>
                          </th>
                        </tr>
                      </ng-template>

                      <ng-template pTemplate="body" let-list let-i="rowIndex">
                        <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
                          <td>{{ i + 1}}</td>
                          <td>{{ list.fileName }}</td>
                          <td>{{ list.originalName}}</td>
                          <td>{{ list.remarks }}</td>
                          <td>{{ list.status  }}
                            <!--                            <app-dynamic-dialog-->
                            <!--                              [popupType]="'account-detail'"-->
                            <!--                              [accountNumber]="list.creditAccount">-->
                            <!--                            </app-dynamic-dialog>-->
                          </td>
                          <td>
                            <button class="btn btn-xs btn-info"
                                    (click)="previewDocument(list.fileUrl)">
                              view doc
                            </button>
                            <!--                            <img src="{{list.fileUrl}}" alt="document"/>-->
                          </td>
                        </tr>
                      </ng-template>
                    </p-table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>


<p-dialog [(visible)]="showRentFileUploadForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    Upload Rent Documents
  </p-header>
  <form [formGroup]="uploadRentDocumentForm">
    <div class="form-group">
      <label for="file">Choose file<span class="required">*</span></label>
      <input
        id="file"
        style="width: 190px;"
        formControlName="file"
        id="file"
        [ngClass]="{ 'is-invalid': submitted && f.file.errors }"
        type="file"
        (change)="onFileChange($event)">
      <div *ngIf="submitted && f.file.errors" class="invalid-feedback">
        <div *ngIf="f.file.errors.required">File is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="remarks">Remarks<span class="required">*</span></label>
      <input type="text"
             id="remarks"
             formControlName="remarks"
             class="form-control"
             placeholder="Max length 50 Characters"
             [ngClass]="{ 'is-invalid': submitted && f.remarks.errors }"
             maxlength="50"
             required>
      <div *ngIf="submitted && f.remarks.errors" class="invalid-feedback">
        <div *ngIf="f.remarks.errors.required">Remarks is required</div>
      </div>
    </div>

    <div class="form-group">
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-success btn-xs btn-block" (click)="submitOwnerDocument()">
            Submit
            <span *ngIf="loadingOwnerUpload" class="spinner-border spinner-border-sm mr-1"></span>
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger btn-xs btn-block" (click)="cancelOwnerUpload()"> Cancel</button>
        </div>
      </div>
    </div>
  </form>
</p-dialog>


<p-dialog [(visible)]="showAddRentDetailForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '990px', height: 'auto'}">
  <p-header>
    {{rentDetailType}} Rent Detail
  </p-header>
  <form [formGroup]="addEditRentDetailForm">

    <div class="form-group">
      <label for="rentDetail">Rent Detail<span class="required">*</span></label>
      <input type="text"
             id="rentDetail"
             formControlName="rentDetail"
             class="form-control"
             placeholder="Enter rant detail."
             [ngClass]="{ 'is-invalid': submitted && ff.rentDetail.errors }"
             required>
      <div *ngIf="submitted && ff.rentDetail.errors" class="invalid-feedback">
        <div *ngIf="ff.rentDetail.errors.required">Rent Detail is required</div>
      </div>
    </div>

    <div class="form-group">
      <label for="rentDescription">Rent Description<span class="required">*</span></label>
      <textarea class="form-control"
                rows="3"
                id="rentDescription"
                formControlName="rentDescription"
                [ngClass]="{ 'is-invalid': submitted && ff.rentDescription.errors }"
                placeholder="Enter Rent Description (Min: 10 , Max 500 Characters)"
                required
      >
        <div *ngIf="submitted && ff.rentDescription.errors" class="invalid-feedback">
          <div *ngIf="ff.rentDescription.errors.required">Rent Description is Required.</div>
        </div>
      </textarea>
    </div>

    <div class="row">
      <div class="col-4">
        <div class="form-group">
          <label>Start Date<span class="required">*</span></label><br>
          <p-calendar name="date"
                      formControlName="rentStartDate"
                      [minDate]="minDate"
                      [showIcon]="true"
                      required
          >
          </p-calendar>
        </div>

        <div class="form-group">
          <label for="branchId">Branch<span class="required">*</span></label>
          <select id="branchId"
                  class="form-control"
                  formControlName="branchId"
                  [ngClass]="{ 'is-invalid': submitted && ff.branchId.errors }"
                  name="branchId">
            <option *ngFor="let event of (branches); let i = index"
                    [ngValue]="(branches)[i].branchId"
            >{{(branches)[i].name }}</option>
          </select>
          <div *ngIf="submitted && ff.branchId.errors" class="invalid-feedback">
            <div *ngIf="ff.branchId.errors.required">Branch is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="incrementType">Increment Type<span class="required">*</span></label>
          <select id="incrementType"
                  class="form-control"
                  formControlName="rentIncrementType"
                  [ngClass]="{ 'is-invalid': submitted && ff.rentIncrementType.errors }"
                  name="incrementType">
            <option *ngFor="let event of (incrementTypes); let i = index"
                    [ngValue]="(incrementTypes)[i].value"
            >{{(incrementTypes)[i].key}}</option>
          </select>
          <div *ngIf="submitted && ff.rentIncrementType.errors" class="invalid-feedback">
            <div *ngIf="ff.rentIncrementType.errors.required">Increment Type Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="baseRent"> Base Rent Amount <span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="baseRent"
                 formControlName="baseRentAmount"
                 [ngClass]="{ 'is-invalid': submitted && ff.baseRentAmount.errors }"
                 placeholder="Enter Base Rent Amount "
                 required
          >
          <div *ngIf="submitted && ff.baseRentAmount.errors" class="invalid-feedback">
            <div *ngIf="ff.baseRentAmount.errors.required">Base Rent Amount is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="expenseNature">Expense Nature<span class="required">*</span></label>
          <select id="expenseNature"
                  class="form-control"
                  formControlName="expenseNature"
                  [ngClass]="{ 'is-invalid': submitted && ff.expenseNature.errors }"
                  name="incrementPeriod">
            <option *ngFor="let event of (expenseNature); let i = index"
                    [ngValue]="(expenseNature)[i].value"
            >{{(expenseNature)[i].key}}</option>
          </select>
          <div *ngIf="submitted && ff.expenseNature.errors" class="invalid-feedback">
            <div *ngIf="ff.expenseNature.errors.required">Expense nature is required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="baseRent"> Pre Paid Days <span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="prePaidDays"
                 formControlName="prePaidDays"
                 [ngClass]="{ 'is-invalid': submitted && ff.prePaidDays.errors }"
                 placeholder="Enter Pre Paid Days "
                 required
          >
          <div *ngIf="submitted && ff.prePaidDays.errors" class="invalid-feedback">
            <div *ngIf="ff.prePaidDays.errors.required">Pre paid days is Required.</div>
          </div>
        </div>


      </div>
      <div class="col-4">
        <div class="form-group">
          <label>End Date<span class="required">*</span></label><br>
          <p-calendar name="date"
                      formControlName="expiryDate"
                      [minDate]="minDate"
                      [showIcon]="true"
                      required
          >
          </p-calendar>
        </div>

        <div class="form-group">
          <label for="accountHead">Account Head<span class="required">*</span></label>
          <select id="accountHead"
                  class="form-control"
                  formControlName="accountHeadId"
                  [ngClass]="{ 'is-invalid': submitted && ff.accountHeadId.errors }"
                  name="accountHead">
            <option *ngFor="let event of (accountHeads); let i = index"
                    [ngValue]="(accountHeads)[i].accountHeadId"
            >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
          </select>
          <div *ngIf="submitted && ff.accountHeadId.errors" class="invalid-feedback">
            <div *ngIf="ff.accountHeadId.errors.required">Account Head Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="incrementOn">Increment On<span class="required">*</span></label>
          <select id="incrementOn"
                  class="form-control"
                  formControlName="incrementOn"
                  [ngClass]="{ 'is-invalid': submitted && ff.incrementOn.errors }"
                  name="incrementOn">
            <option *ngFor="let event of (incrementOn); let i = index"
                    [ngValue]="(incrementOn)[i].value"
            >{{(incrementOn)[i].key}}</option>
          </select>
          <div *ngIf="submitted && ff.incrementOn.errors" class="invalid-feedback">
            <div *ngIf="ff.incrementOn.errors.required">Increment On is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="taxPercentage">Tax Percentage <span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="taxPercentage"
                 formControlName="taxPercentage"
                 [ngClass]="{ 'is-invalid': submitted && ff.taxPercentage.errors }"
                 placeholder="Enter Tax Percentage"
                 required
          >
          <div *ngIf="submitted && ff.taxPercentage.errors" class="invalid-feedback">
            <div *ngIf="ff.taxPercentage.errors.required">Tax Percentage is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="prePaidMonth">Pre paid Month <span class="required">*</span></label>
          <input type="number"
                 class="form-control"
                 id="prePaidMonth"
                 formControlName="prePaidMonth"
                 [ngClass]="{ 'is-invalid': submitted && ff.prePaidMonth.errors }"
                 placeholder="Enter Prepaid months "
                 required
          >
          <div *ngIf="submitted && ff.prePaidMonth.errors" class="invalid-feedback">
            <div *ngIf="ff.prePaidMonth.errors.required">Prepaid Month is Required.</div>
          </div>
        </div>

      </div>
      <div class="col-4">
        <div class="form-group">
          <label for="type">Rent For<span class="required">*</span></label>
          <select id="type"
                  class="form-control"
                  formControlName="rentForType"
                  [ngClass]="{ 'is-invalid': submitted && ff.rentForType.errors }"
                  name="requestedFor">
            <option *ngFor="let event of (rentForTypes); let i = index"
                    [ngValue]="(rentForTypes)[i].value"
            >{{(rentForTypes)[i].key}}</option>
          </select>
          <div *ngIf="submitted && ff.rentForType.errors" class="invalid-feedback">
            <div *ngIf="ff.rentForType.errors.required">Rent For is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="incrementPeriod">Increment Period<span class="required">*</span></label>
          <select id="incrementPeriod"
                  class="form-control"
                  formControlName="incrementPeriod"
                  [ngClass]="{ 'is-invalid': submitted && ff.incrementPeriod.errors }"
                  name="incrementPeriod">
            <option *ngFor="let event of (incrementPeriods); let i = index"
                    [ngValue]="(incrementPeriods)[i].value"
            >{{(incrementPeriods)[i].key}}</option>
          </select>
          <div *ngIf="submitted && ff.incrementPeriod.errors" class="invalid-feedback">
            <div *ngIf="ff.incrementPeriod.errors.required">Increment Period is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="value">Value<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="value"
                 formControlName="value"
                 [ngClass]="{ 'is-invalid': submitted && ff.value.errors }"
                 placeholder="Enter Amount "
                 required
          >
          <div *ngIf="submitted && ff.value.errors" class="invalid-feedback">
            <div *ngIf="ff.value.errors.required">Value is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="taxAccountNumber">Tax Account Number<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="taxAccountNumber"
                 formControlName="taxAccountNumber"
                 [ngClass]="{ 'is-invalid': submitted && ff.taxAccountNumber.errors }"
                 placeholder="Enter Tax Account Number "
                 required
          >
          <div *ngIf="submitted && ff.taxAccountNumber.errors" class="invalid-feedback">
            <div *ngIf="ff.taxAccountNumber.errors.required">Tax Account Number is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="numberOfPaidEMIs">Paid Months<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="numberOfPaidEMIs"
                 formControlName="numberOfPaidEMIs"
                 [ngClass]="{ 'is-invalid': submitted && ff.numberOfPaidEMIs.errors }"
                 placeholder="Enter number of EMI Paid"
                 required
          >
          <div *ngIf="submitted && ff.numberOfPaidEMIs.errors" class="invalid-feedback">
            <div *ngIf="ff.numberOfPaidEMIs.errors.required">Number of paid months.</div>
          </div>
        </div>

      </div>
    </div>

    <hr>
    <div class="form-group">
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-success btn-xs btn-block" (click)="submitRentDetail()">
            Submit
            <span *ngIf="loadingRentDetail" class="spinner-border spinner-border-sm mr-1"></span>
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger btn-xs btn-block" (click)="cancelRentDetail()"> Cancel</button>
        </div>
      </div>
    </div>
  </form>
</p-dialog>


<p-dialog [(visible)]="previewImage"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '590px', height: 'auto'}">
  <p-header>
    Document
  </p-header>
  <span>
      <img src="{{imageUrl}}" alt="document">
  </span>
</p-dialog>


<p-dialog [(visible)]="showUpdateStatusForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    Please, verify detail before updating status.
  </p-header>
  <form [formGroup]="updateStatusForm">
    <div class="form-group">
      <label for="remarks1">Remarks<span class="required">*</span></label>
      <input type="text"
             id="remarks1"
             formControlName="remarks"
             class="form-control"
             placeholder="Max length 50 Characters"
             [ngClass]="{ 'is-invalid': submitted && fff.remarks.errors }"
             maxlength="50"
             required>
      <div *ngIf="submitted && fff.remarks.errors" class="invalid-feedback">
        <div *ngIf="fff.remarks.errors.required">Remarks is required</div>
      </div>
    </div>

    <div class="form-group">
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-success btn-xs btn-block" (click)="submitStatusUpdate()">
            Submit
            <span *ngIf="loadingOwnerUpload" class="spinner-border spinner-border-sm mr-1"></span>
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger btn-xs btn-block" (click)="cancelStatusUpdate()"> Cancel</button>
        </div>
      </div>
    </div>
  </form>
</p-dialog>



<p-dialog [(visible)]="showUpdatePaymentForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    Please, verify detail before updating.
  </p-header>
  <form [formGroup]="updatePaymentForm">
    <div class="form-group" *ngIf="selectedRentDetail && selectedRentDetail.paymentType === 'REGULAR'">
      <label for="paymentType">TDS Payment Type<span class="required">*</span></label>
      <select id="paymentType"
              class="form-control"
              formControlName="tdsPaymentType"
              [ngClass]="{ 'is-invalid': submitted && ffff.tdsPaymentType.errors }"
              name="tdsPaymentType">
        <option *ngFor="let event of (paymentType); let i = index"
                [ngValue]="(paymentType)[i].value"
        >{{(paymentType)[i].key}}</option>
      </select>
      <div *ngIf="submitted && ffff.tdsPaymentType.errors" class="invalid-feedback">
        <div *ngIf="ffff.tdsPaymentType.errors.required">TDS Payment Type is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-success btn-xs btn-block" (click)="updatePaymentTypeStatus()">
            Submit
            <span *ngIf="loadingOwnerUpload" class="spinner-border spinner-border-sm mr-1"></span>
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-danger btn-xs btn-block" (click)="cancelPaymentType()"> Cancel</button>
        </div>
      </div>
    </div>
  </form>
</p-dialog>


